# Poco::Util

# class MapConfiguration

Library: Util
Package: Configuration
Header: Poco/Util/MapConfiguration.h

## Description

An implementation of AbstractConfiguration that stores configuration data in a map.

## Inheritance

Direct Base Classes: AbstractConfiguration

All Base Classes: Poco::RefCountedObject, AbstractConfiguration

Known Derived Classes: PropertyFileConfiguration

## Member Summary

Member Functions: begin, clear, copyTo, end, enumerate, getRaw, removeRaw, setRaw

Inherited Functions: createLocalView, createView, duplicate, enableEvents, enumerate, eventsEnabled, expand, getBool, getDouble, getInt, getInt64, getRaw, getRawString, getString, getUInt, getUInt64, has, hasOption, hasProperty, keys, parseBool, parseInt, parseInt64, parseUInt, parseUInt64, referenceCount, release, remove, removeRaw, setBool, setDouble, setInt, setInt64, setRaw, setRawWithEvent, setString, setUInt, setUInt64

## Types

### StringMap

typedef std::map < std::string, std::string > StringMap;

### iterator

typedef StringMap::const_iterator iterator;

## Constructors

### MapConfiguration

MapConfiguration();

Creates an empty MapConfiguration.

## Destructor

### ~MapConfiguration

~MapConfiguration();

## Member Functions

### clear

void clear();

Clears the configuration.

### copyTo

void copyTo(
AbstractConfiguration & config
);

Copies all configuration properties to the given configuration.

### begin

iterator begin() const;

### end

iterator end() const;

### enumerate

void enumerate(
const std::string & key,
Keys & range
) const;

See also: Poco::Util::AbstractConfiguration::enumerate()

### getRaw

bool getRaw(
const std::string & key,
std::string & value
) const;

See also: Poco::Util::AbstractConfiguration::getRaw()

### removeRaw

void removeRaw(
const std::string & key
);

See also: Poco::Util::AbstractConfiguration::removeRaw()

### setRaw

void setRaw(
const std::string & key,
const std::string & value
);

See also: Poco::Util::AbstractConfiguration::setRaw()